fcf.module({
  name: "fcf:NEvent/PreRemove.js",
  dependencies: [],
  module: function() {
    var NEvent = fcf.prepareObject(fcf, "NEvent");

    NEvent.PreRemove = function(a_args, a_subEvent) {
      fcf.Event.call(this, "preremove", a_args, a_subEvent);

      this.directionalСall = true;

      this.isPreventDefault = false;

      this.preventDefault = function(){
        this.isPreventDefault = true;
      }

      //this.owner
    }

    return NEvent.PreRemove;
  }
});
